/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRUPOBEM                                                 */
/* Tabela : GRUPOBEM                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 15/01/2009 - Frederico Gonalves Moreira da Costa                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_GRUPOBEM
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPOBEM FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF(NVL(:OLD.CDEMPRESA,0) <> NVL(:NEW.CDEMPRESA,0)) OR
        (NVL(:OLD.CDGRUPOBEM,0) <> NVL(:NEW.CDGRUPOBEM,0)) OR
        (NVL(:OLD.NMGRUPOBEM,0) <> NVL(:NEW.NMGRUPOBEM,0)) OR
        (NVL(:OLD.NMABREVGRUPOBEM,0) <> NVL(:NEW.NMABREVGRUPOBEM,0)) OR
        (NVL(:OLD.IDDEPRECIAGRBEM,0) <> NVL(:NEW.IDDEPRECIAGRBEM,0)) OR
        (NVL(:OLD.IDPERITAXAGRBEM,0) <> NVL(:NEW.IDPERITAXAGRBEM,0)) OR
        (NVL(:OLD.QTMESDEPREGRBEM,0) <> NVL(:NEW.QTMESDEPREGRBEM,0)) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE,CDFILICACHE,DSKEYCACHE,DTULTATUCACH)
      VALUES ('GRUPOBEM','','CDEMPRESA='||:OLD.CDEMPRESA||';CDGRUPOBEM='||:OLD.CDGRUPOBEM||';', SYSDATE);
   END IF;
END;
/
ALTER TABLE GRUPOBEM MODIFY DTULTATU DEFAULT SYSDATE
/

UPDATE GRUPOBEM SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_GRUPOBEM','5.05.119'); END;
/

